com.amazonaws.services.servermigration.model

## Class ReplicationJob

- java.lang.Object
- - com.amazonaws.services.servermigration.model.ReplicationJob

All Implemented Interfaces:
  Serializable, Cloneable

    public class ReplicationJob
    extends Object
    implements Serializable, Cloneable

Object representing a Replication Job

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReplicationJob()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReplicationJob` `clone()`
`boolean` `equals(Object obj)`
`String` `getDescription()`
`Integer` `getFrequency()`
`String` `getLatestAmiId()`
`String` `getLicenseType()`
`Date` `getNextReplicationRunStartTime()`
`String` `getReplicationJobId()`
`List<ReplicationRun>` `getReplicationRunList()`
`String` `getRoleName()`
`Date` `getSeedReplicationTime()`
`String` `getServerId()`
`String` `getServerType()`
`String` `getState()`
`String` `getStatusMessage()`
`VmServer` `getVmServer()`
`int` `hashCode()`
`void` `setDescription(String description)`
`void` `setFrequency(Integer frequency)`
`void` `setLatestAmiId(String latestAmiId)`
`void` `setLicenseType(LicenseType licenseType)`
`void` `setLicenseType(String licenseType)`
`void` `setNextReplicationRunStartTime(Date nextReplicationRunStartTime)`
`void` `setReplicationJobId(String replicationJobId)`
`void` `setReplicationRunList(Collection<ReplicationRun> replicationRunList)`
`void` `setRoleName(String roleName)`
`void` `setSeedReplicationTime(Date seedReplicationTime)`
`void` `setServerId(String serverId)`
`void` `setServerType(ServerType serverType)`
`void` `setServerType(String serverType)`
`void` `setState(ReplicationJobState state)`
`void` `setState(String state)`
`void` `setStatusMessage(String statusMessage)`
`void` `setVmServer(VmServer vmServer)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ReplicationJob` `withDescription(String description)`
`ReplicationJob` `withFrequency(Integer frequency)`
`ReplicationJob` `withLatestAmiId(String latestAmiId)`
`ReplicationJob` `withLicenseType(LicenseType licenseType)`
`ReplicationJob` `withLicenseType(String licenseType)`
`ReplicationJob` `withNextReplicationRunStartTime(Date nextReplicationRunStartTime)`
`ReplicationJob` `withReplicationJobId(String replicationJobId)`
`ReplicationJob` `withReplicationRunList(Collection<ReplicationRun> replicationRunList)`
`ReplicationJob` `withReplicationRunList(ReplicationRun... replicationRunList)` NOTE: This method appends the values to the existing list (if any).
`ReplicationJob` `withRoleName(String roleName)`
`ReplicationJob` `withSeedReplicationTime(Date seedReplicationTime)`
`ReplicationJob` `withServerId(String serverId)`
`ReplicationJob` `withServerType(ServerType serverType)`
`ReplicationJob` `withServerType(String serverType)`
`ReplicationJob` `withState(ReplicationJobState state)`
`ReplicationJob` `withState(String state)`
`ReplicationJob` `withStatusMessage(String statusMessage)`
`ReplicationJob` `withVmServer(VmServer vmServer)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReplicationJob

    public ReplicationJob()

### Method Detail

#### setReplicationJobId

    public void setReplicationJobId(String replicationJobId)

Parameters:
  `replicationJobId` -

#### getReplicationJobId

    public String getReplicationJobId()

Returns:

#### withReplicationJobId

    public ReplicationJob withReplicationJobId(String replicationJobId)

Parameters:
  `replicationJobId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServerId

    public void setServerId(String serverId)

Parameters:
  `serverId` -

#### getServerId

    public String getServerId()

Returns:

#### withServerId

    public ReplicationJob withServerId(String serverId)

Parameters:
  `serverId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServerType

    public void setServerType(String serverType)

Parameters:
  `serverType` -
See Also:
  `ServerType`

#### getServerType

    public String getServerType()

Returns:
See Also:
  `ServerType`

#### withServerType

    public ReplicationJob withServerType(String serverType)

Parameters:
  `serverType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ServerType`

#### setServerType

    public void setServerType(ServerType serverType)

Parameters:
  `serverType` -
See Also:
  `ServerType`

#### withServerType

    public ReplicationJob withServerType(ServerType serverType)

Parameters:
  `serverType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ServerType`

#### setVmServer

    public void setVmServer(VmServer vmServer)

Parameters:
  `vmServer` -

#### getVmServer

    public VmServer getVmServer()

Returns:

#### withVmServer

    public ReplicationJob withVmServer(VmServer vmServer)

Parameters:
  `vmServer` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSeedReplicationTime

    public void setSeedReplicationTime(Date seedReplicationTime)

Parameters:
  `seedReplicationTime` -

#### getSeedReplicationTime

    public Date getSeedReplicationTime()

Returns:

#### withSeedReplicationTime

    public ReplicationJob withSeedReplicationTime(Date seedReplicationTime)

Parameters:
  `seedReplicationTime` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFrequency

    public void setFrequency(Integer frequency)

Parameters:
  `frequency` -

#### getFrequency

    public Integer getFrequency()

Returns:

#### withFrequency

    public ReplicationJob withFrequency(Integer frequency)

Parameters:
  `frequency` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextReplicationRunStartTime

    public void setNextReplicationRunStartTime(Date nextReplicationRunStartTime)

Parameters:
  `nextReplicationRunStartTime` -

#### getNextReplicationRunStartTime

    public Date getNextReplicationRunStartTime()

Returns:

#### withNextReplicationRunStartTime

    public ReplicationJob withNextReplicationRunStartTime(Date nextReplicationRunStartTime)

Parameters:
  `nextReplicationRunStartTime` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLicenseType

    public void setLicenseType(String licenseType)

Parameters:
  `licenseType` -
See Also:
  `LicenseType`

#### getLicenseType

    public String getLicenseType()

Returns:
See Also:
  `LicenseType`

#### withLicenseType

    public ReplicationJob withLicenseType(String licenseType)

Parameters:
  `licenseType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LicenseType`

#### setLicenseType

    public void setLicenseType(LicenseType licenseType)

Parameters:
  `licenseType` -
See Also:
  `LicenseType`

#### withLicenseType

    public ReplicationJob withLicenseType(LicenseType licenseType)

Parameters:
  `licenseType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LicenseType`

#### setRoleName

    public void setRoleName(String roleName)

Parameters:
  `roleName` -

#### getRoleName

    public String getRoleName()

Returns:

#### withRoleName

    public ReplicationJob withRoleName(String roleName)

Parameters:
  `roleName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLatestAmiId

    public void setLatestAmiId(String latestAmiId)

Parameters:
  `latestAmiId` -

#### getLatestAmiId

    public String getLatestAmiId()

Returns:

#### withLatestAmiId

    public ReplicationJob withLatestAmiId(String latestAmiId)

Parameters:
  `latestAmiId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setState

    public void setState(String state)

Parameters:
  `state` -
See Also:
  `ReplicationJobState`

#### getState

    public String getState()

Returns:
See Also:
  `ReplicationJobState`

#### withState

    public ReplicationJob withState(String state)

Parameters:
  `state` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ReplicationJobState`

#### setState

    public void setState(ReplicationJobState state)

Parameters:
  `state` -
See Also:
  `ReplicationJobState`

#### withState

    public ReplicationJob withState(ReplicationJobState state)

Parameters:
  `state` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ReplicationJobState`

#### setStatusMessage

    public void setStatusMessage(String statusMessage)

Parameters:
  `statusMessage` -

#### getStatusMessage

    public String getStatusMessage()

Returns:

#### withStatusMessage

    public ReplicationJob withStatusMessage(String statusMessage)

Parameters:
  `statusMessage` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

Parameters:
  `description` -

#### getDescription

    public String getDescription()

Returns:

#### withDescription

    public ReplicationJob withDescription(String description)

Parameters:
  `description` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getReplicationRunList

    public List<ReplicationRun> getReplicationRunList()

Returns:

#### setReplicationRunList

    public void setReplicationRunList(Collection<ReplicationRun> replicationRunList)

Parameters:
  `replicationRunList` -

#### withReplicationRunList

    public ReplicationJob withReplicationRunList(ReplicationRun... replicationRunList)

NOTE: This method appends the values to the existing list (if any). Use `setReplicationRunList(java.util.Collection)` or `withReplicationRunList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `replicationRunList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withReplicationRunList

    public ReplicationJob withReplicationRunList(Collection<ReplicationRun> replicationRunList)

Parameters:
  `replicationRunList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ReplicationJob clone()

Overrides:
  `clone` in class `Object`